Retrieve Active Consent Forms

Retrieves a list of active Consent Forms configured for the Tenant.

GET
/consent/forms/active

Retrieves a list of active Consent Forms configured for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Query Parameters

event*string

Event type to filter consent verification (e.g., login).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/consent/forms/active?event=login"
{
  "Data": [
    {
      "IsActive": true,
      "Version": 1,
      "Events": [
        {
          "IsCustom": true,
          "Name": "Register"
        }
      ],
      "StartFromDate": "2023-01-01T00:00:00Z",
      "CreatedOnDate": "2023-01-01T00:00:00Z",
      "ConsentOptions": [
        {
          "IsRequired": true,
          "ConsentOptionId": "123e4567e89b12d3a456426614174000",
          "IsActive": true
        }
      ],
      "TermOfService": "I agree to the terms of service.",
      "PrivacyPolicy": "I agree to the Privacy Policy.",
      "IsWorkflowForm": true
    }
  ]
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Active consent Forms not found",
  "Description": "Active consent Forms not found for this tenant.",
  "ErrorCode": 8202
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}